Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 21

Thread: (SOLVED) 12.10 broken after removing packages

  1. #11
    Join Date
    Feb 2013
    Beans
    Hidden!

    Re: 12.10 broken after removing packages

    Quote Originally Posted by bou3lam View Post
    simo@Simo:~$ awk '$1=="2013-03-30" && $3=="remove" {print $4}' /var/lib/dpkg.log
    awk: fatal: cannot open file `/var/lib/dpkg.log' for reading (No such file or directory)
    Sorry, my fault. This should have been
    Code:
    awk '$1=="2013-03-29" &&$2~/^19:/&&$3=="remove" {print $4}' /var/log/dpkg.log
    Download the file below:
    http://archive.ubuntu.com/ubuntu/poo...ntu7_amd64.deb
    Copy it onto your Ubuntu machine (I presume you can mount a USB stick), and install with
    Code:
    sudo dpkg -i network-manager_0.9.6.0-0ubuntu7_amd64.deb
    Hopefully, you will be able to start your network then.

  2. #12
    Join Date
    Dec 2010
    Beans
    52

    Re: 12.10 broken after removing packages

    here the output :

    Code:
    simo@Simo:~$ awk '$1=="2013-03-29" && $3=="remove" {print $4}' /var/log/dpkg.log
    alacarte:all
    gnome-shell:amd64
    kwrite:amd64
    libkopete4:amd64
    kubuntu-debug-installer:amd64
    qapt-batch:amd64
    polkit-kde-1:amd64
    libkolab0:amd64
    libkolabxml0:amd64
    libboost-thread1.49.0:amd64
    libxerces-c3.1:amd64
    kdepim-runtime:amd64
    kde-runtime:amd64
    libakonadi-contact4:amd64
    libakonadi-kabc4:amd64
    libakonadi-kcal4:amd64
    libmailtransport4:amd64
    libakonadi-kmime4:amd64
    libprison0:amd64
    libdmtx0a:amd64
    libkcal4:amd64
    libkcalutils4:amd64
    libmicroblog4:amd64
    nepomuk-core:amd64
    libnepomuksync4:amd64
    libnepomukcore4abi1:amd64
    libqrencode3:amd64
    nepomuk-core-data:all
    libkgapi0:amd64
    libkabc4:amd64
    libkresources4:amd64
    unity-2d:all
    unity-webapps-gmail:all
    unity-webapps-common:all
    libunity-2d-private0:all
    lightdm-remote-session-uccsconfigure:amd64
    ubuntu-desktop:amd64
    unity-2d-spread:all
    unity-2d-shell:all
    unity-2d-panel:all
    unity-2d-common:all
    unity:amd64
    unity-scope-video-remote:all
    unity-lens-video:all
    unity-scope-gdocs:all
    unity-lens-photos:all
    gir1.2-gdata-0.0:amd64
    gir1.2-goa-1.0:amd64
    python3-oauthlib:all
    python3-crypto:amd64
    python3-httplib2:all
    gwibber:amd64
    libgwibber-gtk3:amd64
    linux-headers-3.5.0-25-generic:amd64
    linux-headers-3.5.0-25:all
    linux-headers-3.5.0-26-generic:amd64
    linux-headers-3.5.0-26:all
    linux-image-extra-3.5.0-25-generic:amd64
    linux-image-3.5.0-25-generic:amd64
    linux-image-extra-3.5.0-26-generic:amd64
    linux-image-3.5.0-26-generic:amd64
    account-plugin-salut:amd64
    account-plugin-windows-live:amd64
    broadcom-sta-common:all
    broadcom-sta-dkms:all
    emesene:all
    empathy:amd64
    finch:amd64
    firmware-b43-installer:all
    firmware-b43legacy-installer:all
    gwibber:amd64
    kde-runtime:amd64
    kdepim-runtime:amd64
    libakonadi-contact4:amd64
    libakonadi-kabc4:amd64
    libakonadi-kcal4:amd64
    libakonadi-kmime4:amd64
    libboost-thread1.49.0:amd64
    libdmtx0a:amd64
    libgwibber-gtk3:amd64
    libkabc4:amd64
    libkcal4:amd64
    libkcalutils4:amd64
    libkgapi0:amd64
    libkolab0:amd64
    libkolabxml0:amd64
    libkopete4:amd64
    libkresources4:amd64
    libmailtransport4:amd64
    libmicroblog4:amd64
    libnepomukcore4abi1:amd64
    libnepomuksync4:amd64
    libprison0:amd64
    libqrencode3:amd64
    libxerces-c3.1:amd64
    lightdm-remote-session-uccsconfigure:amd64
    mcp-account-manager-uoa:amd64
    module-assistant:all
    pidgin-ppa:all
    stellarium:amd64
    unity-webapps-common:all
    unity-webapps-gmail:all
    finger:amd64
    gdm:amd64
    gir1.2-caribou-1.0:amd64
    gir1.2-mutter-3.0:amd64
    gir1.2-clutter-1.0:amd64
    gir1.2-coglpango-1.0:amd64
    gir1.2-cogl-1.0:amd64
    gir1.2-gcr-3:amd64
    gir1.2-gck-1:amd64
    gir1.2-gdesktopenums-3.0:amd64
    gir1.2-gkbd-3.0:amd64
    gir1.2-ibus-1.0:amd64
    gir1.2-json-1.0:amd64
    gir1.2-telepathylogger-0.2:amd64
    gir1.2-upowerglib-1.0:amd64
    gir1.2-xkl-1.0:amd64
    gjs:amd64
    gnome-contacts:amd64
    gstreamer1.0-plugins-base:amd64
    icoutils:amd64
    kde-runtime-data:all
    libaudit0:amd64
    libcaribou0:amd64
    libcaribou-common:all
    libgjs0c:amd64
    libgstreamer-plugins-base1.0-0:amd64
    libgstreamer1.0-0:amd64
    libkdesu5:amd64
    libkidletime4:amd64
    libkmediaplayer4:amd64
    libknotifyconfig4:amd64
    libmozjs185-1.0:amd64
    libmutter0:amd64
    libntrack-qt4-1:amd64
    libqapt-runtime:amd64
    libqapt1:amd64
    mutter-common:all
    oxygen-icon-theme:all
    plasma-scriptengine-javascript:amd64
    shared-desktop-ontologies:all
    libntrack0:amd64
    ntrack-module-libnl-0:amd64
    htop:amd64
    nautilus-share:amd64
    apturl:amd64
    unity-2d:all
    unity:amd64
    indicator-appmenu:amd64
    libbamf3-0:amd64
    ginn:amd64
    libbamf0:amd64
    libqtbamf1:amd64
    bamfdaemon:amd64
    brasero:amd64
    brasero-cdrkit:amd64
    clamtk:all
    epiphany-extensions:amd64
    epiphany-browser:amd64
    libfolks-eds25:amd64
    evolution-data-server:amd64
    xul-ext-unity:all
    xul-ext-websites-integration:all
    indicator-datetime:amd64
    gimp:amd64
    unity-lens-photos:all
    gir1.2-gdata-0.0:amd64
    gir1.2-goa-1.0:amd64
    rhythmbox-plugins:amd64
    rhythmbox-plugin-zeitgeist:all
    rhythmbox-plugin-magnatune:amd64
    rhythmbox-plugin-cdrecorder:amd64
    unity-scope-musicstores:amd64
    rhythmbox-ubuntuone:all
    rhythmbox:amd64
    gir1.2-rb-3.0:amd64
    ubuntu-tweak:all
    software-center:all
    gir1.2-webkit-3.0:amd64
    unity-scope-video-remote:all
    ubuntuone-control-panel-qt:all
    ubuntu-sso-client-qt:all
    ubuntuone-control-panel:all
    ubuntuone-client-gnome:amd64
    gir1.2-ubuntuoneui-3.0:amd64
    libubuntuoneui-3.0-1:amd64
    libsyncdaemon-1.0-1:amd64
    ubuntuone-client:all
    oneconf:all
    ubuntu-sso-client:all
    python-ubuntuone-control-panel:all
    python-ubuntu-sso-client:all
    gir1.2-soup-2.4:amd64
    totem-plugins:amd64
    gir1.2-totem-1.0:amd64
    gir1.2-totem-plparser-1.0:amd64
    shotwell:amd64
    librhythmbox-core6:amd64
    libedata-book-1.2-15:amd64
    gnome-online-accounts:amd64
    gnome-control-center-signon:amd64
    indicator-power:amd64
    gnome-control-center:amd64
    libgdata13:amd64
    libgoa-1.0-0:amd64
    gnome-session-fallback:all
    metacity:amd64
    lightdm-remote-session-freerdp:amd64
    zenity:amd64
    ubuntu-docs:all
    gnome-user-guide:all
    yelp:amd64
    libyelp0:amd64
    libwebkitgtk-3.0-0:amd64
    libwebkitgtk-1.0-0:amd64
    gvfs-backends:amd64
    vino:amd64
    seahorse:amd64
    remote-login-service:amd64
    thunderbird-gnome-support:amd64
    libedata-cal-1.2-18:amd64
    gnome-applets:amd64
    gnome-panel:amd64
    libecal-1.2-15:amd64
    nautilus-sendto:amd64
    libebook-1.2-14:amd64
    libebackend-1.2-5:amd64
    libedataserver-1.2-17:amd64
    totem-mozilla:amd64
    totem:amd64
    pidgin-libnotify:amd64
    pidgin:amd64
    telepathy-haze:amd64
    libpurple0:amd64
    libtelepathy-farstream2:amd64
    libfarstream-0.1-0:amd64
    gnome-media:amd64
    gstreamer0.10-plugins-good:amd64
    hardinfo:amd64
    unity-lens-shopping:amd64
    telepathy-salut:amd64
    telepathy-gabble:amd64
    network-manager-gnome:amd64
    network-manager:amd64
    libbrasero-media3-1:amd64
    libtotem0:amd64
    libtotem-plparser17:amd64
    librest-0.7-0:amd64
    libgweather-3-1:amd64
    libsoup-gnome2.4-1:amd64
    gstreamer0.10-nice:amd64
    libnice10:amd64
    libgupnp-igd-1.0-4:amd64
    libgupnp-1.0-4:amd64
    libgssdp-1.0-3:amd64
    libdmapsharing-3.0-2:amd64
    libunity-webapps0:amd64
    unity-webapps-service:amd64
    geoclue-ubuntu-geoip:amd64
    libsoup2.4-1:amd64
    glib-networking:amd64
    glib-networking-services:amd64
    libavutil-extra-51:amd64
    i will now install the network manager

  3. #13
    Join Date
    Feb 2013
    Beans
    Hidden!

    Re: 12.10 broken after removing packages

    You also will need libsoup2.4 for network-manager to work:
    http://archive.ubuntu.com/ubuntu/poo...ntu1_amd64.deb

  4. #14
    Join Date
    Dec 2010
    Beans
    52

    Re: 12.10 broken after removing packages

    cant install network manager :
    Code:
     simo@Simo:~/Desktop$ sudo dpkg -i network-manager_0.9.6.0-0ubuntu7_amd64.deb[sudo] password for simo: 
    Selecting previously unselected package network-manager.
    (Reading database ... 230166 files and directories currently installed.)
    Unpacking network-manager (from network-manager_0.9.6.0-0ubuntu7_amd64.deb) ...
    dpkg: dependency problems prevent configuration of network-manager:
     network-manager depends on libsoup2.4-1 (>= 2.26.1); however:
      Package libsoup2.4-1 is not installed.
    
    
    dpkg: error processing network-manager (--install):
     dependency problems - leaving unconfigured
    Processing triggers for man-db ...
    Processing triggers for ureadahead ...
    ureadahead will be reprofiled on next reboot
    Errors were encountered while processing:
     network-manager
    You also will need libsoup2.4 for network-manager to work:
    http://archive.ubuntu.com/ubuntu/poo...ntu1_amd64.deb

    install it the same way as network manager ?

  5. #15
    Join Date
    Feb 2013
    Beans
    Hidden!

    Re: 12.10 broken after removing packages

    Yep.

  6. #16
    Join Date
    Dec 2010
    Beans
    52

    Re: 12.10 broken after removing packages

    libsoup2.4 require glib-networking 2.32.0 , i cant find it, i hope glib networking wont require other things
    i installed glib-networking-services_2.34.0-0ubuntu1_amd64 and when i tried libsoup its asked for glib-networking 2.32.0 and didnt install
    Last edited by bou3lam; March 30th, 2013 at 11:25 PM.

  7. #17
    Join Date
    Feb 2013
    Beans
    Hidden!

    Re: 12.10 broken after removing packages

    glib-networking requires glib-networking-services which also has been removed. Remember that ices part?
    http://archive.ubuntu.com/ubuntu/poo...ntu1_amd64.deb
    http://archive.ubuntu.com/ubuntu/poo...ntu1_amd64.deb
    Last edited by schragge; March 31st, 2013 at 10:26 AM.

  8. #18
    Join Date
    Dec 2010
    Beans
    52

    Re: 12.10 broken after removing packages

    im connected now via the broken install, what to now please ? many thanks for your help

  9. #19
    Join Date
    Dec 2010
    Beans
    52

    Re: 12.10 broken after removing packages

    Quote Originally Posted by stinkeye View Post

    Could try(once network is up)
    Code:
    sudo apt-get install -s ubuntu-desktop


    Remove the -s option to install the packages.

    thanks alot guys all system up and runing good again after the
    Code:
    sudo apt-get install ubuntu-desktop
    i had some login failure, solved it by reading other forum posts,just installing gnome shell solved it, and the whole problem was solved by sudo apt-get install ubuntu-desktop after the network manager install , thanks all again
    Last edited by bou3lam; March 31st, 2013 at 03:00 AM.

  10. #20
    Join Date
    Feb 2013
    Beans
    Hidden!

    Re: 12.10 broken after a mistake, please help

    Quote Originally Posted by ManamiVixen View Post
    If the mediabuntu was a seperate ppa, you could use the ppa-purge command provided by ppa-purge to remove uneeded ppa's and their packages at the same time.
    Yes, ppa-purge is the best way to remove all packages installed from a PPA. Unfortunately, medibuntu is not a PPA and cannot be, for legal reasons.

    The most straightforward way to purge everything installed from medibuntu is using synaptic. You can filter packages in Synaptic by origin, so it's basically matter of clicking on Origin in the category selector pane on the left and selecting medibuntu repository, then sorting packages by their status (first field in the package selector pane), installed first, and marking all installed packages for complete removal (click on the first package, Shift+click on the last, right click and select Mark for complete removal). You also may define a custom filter either from inside Synaptic (Settings>Filters, click on the New button) or write it in a text file:
    Code:
    filter "Medibuntu" {
      status::flags 0x401;
      pattern::patterns {Origin; "medibuntu"; false;};
    };
    Save it as medibuntu.filter to your home folder, then start Synaptic with
    Code:
    gksudo synaptic -f ~/medibuntu.filter -iMedibuntu
    Doing the same from the command line is relatively easy as long as you don't mix packages for different architectures (e.g. 32-bit and 64-bit packages, see Multiarch).

    The command below will do it only for the native architecture:
    Code:
    sudo apt-get purge `sed -n s/^Package://p /var/lib/apt/lists/*.medibuntu.*_Packages`
    In the multiarch environment, the following commands won't purge packages that have siblings from a foreign architecture installed:
    Code:
    sed -nr 's/^Package:\s*(.*)/\1 purge/p' /var/lib/apt/lists/*.medibuntu.*_Packages|
    sudo dpkg --set-selections 2>/dev/null
    sudo dpkg -Pa
    To include those packages, the sed expression gets rather unwieldly:
    Code:
    sed -n '
            /^Package:\s*/,/^$/{
                    //{s///;h};/^Architecture:\s*/{s///;H;g;s/[ \t]*\n/:/;s/$/ purge/p}
    }' /var/lib/apt/lists/packages.medibuntu.org_*_Packages
    And awk is not much better:
    Code:
    awk -F':[ \t]*' '/^Package:/,/^$/{
            if(/^Package:/){p=$2;a=""}
            if(/^Architecture:/)a=":"$2
            if(/^$/)print p a
    }' /var/lib/apt/lists/packages.medibuntu.org_*_Packages
    Starting from quantal, installing aptitude will help. The following aptitude command will purge all packages from medibuntu repository:
    Code:
    sudo aptitude purge ~OMedibuntu
    Hopefully this also works the same way in precise, but I'm not quite sure as aptitude got the full multiarch support after precise was released.

    In precise, the best command line tool I could come up with for this task (or rather a set of tools) are dctrl-tools, particularly grep-dctrl and tbl-dctrl
    Code:
    sudo apt-get purge `grep-dctrl -sPackage,Architecture '' /var/lib/apt/lists/*.medibuntu.*Packages|tbl-dctrl -Hd:`
    Alternatively, do it the ppa-purge way:
    Code:
    sed -n s/^Package://p /var/lib/apt/lists/*.medibuntu.*Packages|sort -u|xargs -r dpkg-query -W 2>/dev/null|awk '$2,$0=$1" purge"'|
    sudo dpkg --set-selections
    sudo dpkg -Pa
    In the case of Medibuntu, there is a workaround that may not work with other 3rd party repositories. Maintainer of all packages but one in Medibuntu is Medibuntu Packaging Team, so it's possible to select just packages maintained by them:
    Code:
    dpkg-query -Wf'${binary:Package}${Maintainer;9}\n'|sed -n 's/Medibuntu$/ purge/p'|sudo dpkg --set-selections
    sudo dpkg -Pa
    The only package in Medibuntu repsitory that has another maintainer is medibuntu-keyring. To include it, run
    Code:
    sudo apt-get purge medibuntu-keyring `dpkg-query -Wf'${binary:Package}${Maintainer;9}\n'|sed -n 's/Medibuntu$//p'`
    Last edited by schragge; May 8th, 2013 at 12:34 PM.

Page 2 of 3 FirstFirst 123 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •